Create TimeEntry

POST /tenants/{tenant}/time-entries

Creates a new TimeEntry for the specified tenant.

Requires: Create on TimeTracking.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

Request Body*

{
  "userCode": "string",
  "entryDate": "2024-01-01",
  "durationMinutes": 1,
  "startTime": "2024-01-01T00:00:00Z",
  "endTime": "2024-01-01T00:00:00Z"
}

Responses

201 Created
400 Bad Request
application/problem+json
401 Unauthorized – Invalid or missing API key
403 Forbidden
application/problem+json